dnl -----------------------------------------------------------------
dnl -- Start of a TOPOLOGYD specific configuration file
dnl --
dnl --
dnl -----------------------------------------------------------------



AC_DEFUN(LAC_TOP_ARGS,
[

AC_CACHE_CHECK(topologyd client port, top_client_port, [dnl
AC_ARG_WITH(top_client_port,
	[  --with-top-client-port=value           Client port number for the local topologyd host],
	[top_client_port="$withval"],
	[top_client_port="9000"])
])

AC_CACHE_CHECK(topologyd data port, top_data_port, [dnl
AC_ARG_WITH(top_data_port,
	[  --with-top-data-port=value           Data port number for the local topologyd host],
	[top_data_port="$withval"],
	[top_data_port="9001"])
])

AC_CACHE_CHECK(topologyd master site, top_master_site, [dnl
AC_ARG_WITH(top_master_site,
	[  --with-top-master-site=value           Master site for the group],
	[top_master_site="$withval"],
	[top_master_site="www.globus.org"])
])

AC_CACHE_CHECK(topologyd master client port, top_master_client_port, [dnl
AC_ARG_WITH(top_master_client_port,
	[  --with-top-master-client-port=value           Master client port],
	[top_master_client_port="$withval"],
	[top_master_client_port="9000"])
])

AC_CACHE_CHECK(topologyd master data port, top_master_data_port, [dnl
AC_ARG_WITH(top_master_data_port,
	[  --with-top-master-data-port=value           Master data port],
	[top_master_data_port="$withval"],
	[top_master_data_port="9001"])
])

AC_CACHE_CHECK(topologyd group name, top_group_name, [dnl
AC_ARG_WITH(top_group_name,
	[  --with-top-group-name=value           Group name for topologyd],
	[top_group_name="$withval"],
	[top_group_name="Globus-Topologyd"])
])

])

AC_DEFUN(LAC_TOP_PROGS,
[

AC_PATH_PROGS(LN, ln, cp)

])


AC_DEFUN(LAC_TOP,
[

LAC_TOP_ARGS
LAC_TOP_PROGS

])


